Crypto++ 8.2 Free C++ class library of cryptographic schemes

Public Types | Static Public Member Functions | List of all members
RC6_Info Struct Reference

RC6 block cipher information. More...

Inheritance diagram for RC6_Info:

## Public Types
typedef word32 | RC6_WORD

## Static Public Member Functions
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 16, 32, 8 >
static size_t CRYPTOPP_API | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...
Static Public Member Functions inherited from VariableRounds< 20 >
static unsigned int | StaticGetDefaultRounds (size_t keylength)
| The default number of rounds for the algorithm based on key length provided by a static function. More...

## Additional Inherited Members
Static Public Attributes inherited from FixedBlockSize< 16 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 16, 32, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...
Static Public Attributes inherited from VariableRounds< 20 >
static const int | DEFAULT_ROUNDS
| The default number of rounds for the algorithm provided as a constant.
static const int | MIN_ROUNDS
| The minimum number of rounds for the algorithm provided as a constant.
static const int | MAX_ROUNDS
| The maximum number of rounds for the algorithm provided as a constant.

## Detailed Description

RC6 block cipher information.

Since
  Crypto++ 3.0

Definition at line 17 of file rc6.h.

The documentation for this struct was generated from the following file:

- rc6.h